<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: character.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li class="current"><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>ファイル一覧</span></a></li>
      <li><a href="globals.html"><span>グローバル</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>character.c</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>マクロ定義</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#gadb36cc417b000c5f9f028992f69b5ebc">MCHAR_MAX</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字コードの最大値.  <a href="group__m17nCharacter.html#gadb36cc417b000c5f9f028992f69b5ebc"></a><br/></td></tr>
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga8c6dde5d282ae96c899f662e1dc17879">mchar_define_property</a> (const char *name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> type)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字プロパティを定義する.  <a href="group__m17nCharacter.html#ga8c6dde5d282ae96c899f662e1dc17879"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga66ef808ae3cf10d8080d579a993c6459">mchar_get_prop</a> (int c, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字プロパティの値を得る.  <a href="group__m17nCharacter.html#ga66ef808ae3cf10d8080d579a993c6459"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga2dc345ba89a546f861b141a71d1609f7">mchar_put_prop</a> (int c, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字プロパティの値を設定する.  <a href="group__m17nCharacter.html#ga2dc345ba89a546f861b141a71d1609f7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#gaa44bd8292de2055556e05cf02cf1292f">mchar_get_prop_table</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> *type)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字プロパティの文字テーブルを得る.  <a href="group__m17nCharacter.html#gaa44bd8292de2055556e05cf02cf1292f"></a><br/></td></tr>
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">変数: 文字プロパティのキー</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrp9ab86e994a88232fa708b3f12f9eaa1e"></a> これらのシンボルは文字プロパティのキーとして使われる。 </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga1efea11830fa151fad724fbdc4212750">Mscript</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">スクリプトを表わすキー.  <a href="group__m17nCharacter.html#ga1efea11830fa151fad724fbdc4212750"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga4848713c0a3c225f3600e10d9ae56631">Mname</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">名前を表わすキー.  <a href="group__m17nCharacter.html#ga4848713c0a3c225f3600e10d9ae56631"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#gad6d719ce33cdd01171e8a3773d08af09">Mcategory</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">一般カテゴリを表わすキー.  <a href="group__m17nCharacter.html#gad6d719ce33cdd01171e8a3773d08af09"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga6e59888c09af64ee3b20208bf1b2de6e">Mcombining_class</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">標準結合クラスを表わすキー.  <a href="group__m17nCharacter.html#ga6e59888c09af64ee3b20208bf1b2de6e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga35ac97a9caf868b146b1843d4c6db02f">Mbidi_category</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">双方向カテゴリを表わすキー.  <a href="group__m17nCharacter.html#ga35ac97a9caf868b146b1843d4c6db02f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga5c971245e8af385056e6730aa6446c64">Msimple_case_folding</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">対応する小文字一文字を表わすキー.  <a href="group__m17nCharacter.html#ga5c971245e8af385056e6730aa6446c64"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#gae5e8271f68619d95a70930c18bc48220">Mcomplicated_case_folding</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">対応する小文字の列を表わすキー.  <a href="group__m17nCharacter.html#gae5e8271f68619d95a70930c18bc48220"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga4df1027f7239776ec28478de769f0e97">Mcased</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Case 処理に用いられる値のキー.  <a href="group__m17nCharacter.html#ga4df1027f7239776ec28478de769f0e97"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga54dd86441b0b2829c6c482d509ee02c3">Msoft_dotted</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Case 処理に用いられる値のキー.  <a href="group__m17nCharacter.html#ga54dd86441b0b2829c6c482d509ee02c3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#gabf5314e978cea3ca60461022c03d843a">Mcase_mapping</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Case 処理に用いられる値のキー.  <a href="group__m17nCharacter.html#gabf5314e978cea3ca60461022c03d843a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga262e95cb77fc8470863bf2ee1fc6332b">Mblock</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">スクリプトブロック名を表すキー.  <a href="group__m17nCharacter.html#ga262e95cb77fc8470863bf2ee1fc6332b"></a><br/></td></tr>
</table>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
